This package has been deprecated

Author message:

This package is deprecated and will be updated soon.

eslint-config-mulesoft

0.3.0 • Public • Published

eslint-config-mulesoft

npm version

This package provides Mulesoft's .eslintrc as an extensible shared config.

Usage

We export three ESLint configurations for your usage.

eslint-config-mulesoft

Our default export contains all of our ESLint rules, including ECMAScript 6+ and React. It requires eslint, eslint-plugin-import, eslint-plugin-react, and eslint-plugin-jsx-a11y.

  1. Ensure packages are installed with correct version numbers by running:
(
  export PKG=eslint-config-mulesoft;
  npm info "$PKG@latest" peerDependencies --json | command sed 's/[\{\},]//g ; s/: /@/g' | xargs npm install --save-dev "$PKG@latest"
)

Which produces and runs a command like:

npm install --save-dev eslint-config-mulesoft eslint@^#.#.# eslint-plugin-jsx-a11y@^#.#.# eslint-plugin-import@^#.#.# eslint-plugin-react@^#.#.#
  1. Add "extends": "mulesoft" to your .eslintrc

eslint-config-mulesoft/base

This entry point is deprecated. See eslint-config-mulesoft-base.

eslint-config-mulesoft/legacy

This entry point is deprecated. See eslint-config-mulesoft-base.

See Mulesoft's Javascript styleguide and the ESlint config docs for more information.

Improving this config

Consider adding test cases if you're making complicated rules changes, like anything involving regexes. Perhaps in a distant future, we could use literate programming to structure our README as test cases for our .eslintrc?

You can run tests with npm test.

You can make sure this module lints with itself using npm run lint.

Package Sidebar

Install

npm i eslint-config-mulesoft

Weekly Downloads

67

Version

0.3.0

License

MIT

Last publish

Collaborators

  • mulesoft-bot
  • nanovazquez
  • yianl